CREATE TABLE VS4TAPContract
	(
	TCntNo nvarchar(30) NOT NULL,
	TCntDate datetime NULL,
	TCntRefNo nvarchar(30) NULL,
	TCntRefDate datetime NULL,
	TCntTPrjCode nvarchar(20) NULL,
	TCntTBraCode nvarchar(20) NULL,
	TCntTEmpCode nvarchar(100) NULL,
	TCntEmployeeName nvarchar(160) NULL,
	TCntAppTEmpCode nvarchar(100) NULL,
	TCntAppEmpName nvarchar(160) NULL,
	TCntFromDate datetime NULL,
	TCntToDate datetime NULL,
	TCntTAPNCode nvarchar(30) NULL,
	TCntTAPUCode nvarchar(30) NULL,
	TCntContactNote nvarchar(100) NULL,
	TCntContactName nvarchar(160) NULL,
	TCntSupplierName nvarchar(200) NULL,
	TCntSupAddress nvarchar(255) NULL,
	TCntTNalCode nvarchar(30) NULL,
	TCntTotalShop smallint NULL,
	TCntMinShop smallint NULL,
	TCntMinOrder money NULL,
	TCntMinOrderType smallint NULL,
	TCntPayPAXPeriod smallint NULL,
	TCntPayPAXACNo smallint NULL,
	TCntPayTGPeriod smallint NULL,
	TCntPayTGACNo smallint NULL,
	TCntPayTourPeriod smallint NULL,
	TCntPayTourACNo smallint NULL,
	TCntPayGuidePeriod smallint NULL,
	TCntPayGuideACNo smallint NULL,
	TCntPayGDPeriod smallint NULL,
	TCntPayGDACNo smallint NULL,
	TCntPayComPeriod smallint NULL,
	TCntPayComACNo smallint NULL,
	TCntDescription nvarchar(150) NULL,
	TCntCreateCode nvarchar(30) NULL,
	TCntCreateBy nvarchar(140) NULL,
	TCntCreateDate datetime NULL,
	TCntEditCode nvarchar(30) NULL,
	TCntEditBy nvarchar(140) NULL,
	TCntEditDate datetime NULL,
	TCntConfirmStatus smallint NULL,
	TCntConfirmBy nvarchar(140) NULL,
	TCntConfirmDate datetime NULL,
	TCntConfirmNote nvarchar(80) NULL,
	TCntApproveStatus smallint NULL,
	TCntApproveBy nvarchar(140) NULL,
	TCntApproveDate datetime NULL,
	TCntApproveNote nvarchar(80) NULL,
	TCntRevision smallint NULL,
	TCntCancelStatus smallint NULL,
	TCntCancelNo nvarchar(30) NULL,
	TCntCancelBy nvarchar(140) NULL,
	TCntCancelDate datetime NULL,
	TCntCancelNote nvarchar(80) NULL,
	TCntFlag1 smallint NULL,
	TCntFlag2 smallint NULL,
	TCntFlag3 datetime NULL
	)  ON [PRIMARY]
GO
ALTER TABLE VS4TAPContract ADD CONSTRAINT
	PK_VS4TAPContract PRIMARY KEY CLUSTERED 
	(
	TCntNo
	) ON [PRIMARY]

GO